package com.hongyegroup.cpt_parttime.router

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.guadou.cs_router.ARouterPath
import com.guadou.cs_router.parttime.IParttimeComponentServer
import com.hongyegroup.cpt_parttime.ui.activity.PartTimeJobDetailActivity
import com.hongyegroup.cpt_parttime.ui.activity.PartTimeMainActivity

@Route(path = ARouterPath.PATH_SERVICE_PARTTIME, name = "PartTime模块路由服务")
class PartTimeComponentServiceImpl : IParttimeComponentServer {

    override fun startPartTimeJobDetailPage() {
        PartTimeJobDetailActivity.startInstance()
    }

    override fun startPartTimeJobMainPage() {
        PartTimeMainActivity.startInstance()
    }

    override fun init(context: Context?) {

    }


}